/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_PLAYLIST_H
#define OCARINA_GUI_PLAYLIST_H

#include <core/playlist.h>

/* Called to initialize the GUI playlist code. */
void gui_playlist_init();

/* Called to get the currently selected playlist. */
gchar *gui_playlist_cur();

/* Called to add a library playlist. */
void gui_playlist_add_library(struct library *);

/* Called to add an artist playlist. */
void gui_playlist_add_artist(struct artist *);

/* Called to add a user playlist. */
void gui_playlist_add_user(struct playlist *);

/* Playlist operations passed to core_init() */
extern struct queue_ops playlist_ops;

#endif /* OCARINA_GUI_PLAYLIST_H */
